﻿using Ueberpruefung;

namespace Testverwaltung
{
    internal class ExtraTest : Test
    {
        private int currentTestNumber;
        public ExtraTest() : base()
        {
            numTests = 2;
            currentTestNumber = 0;
        }
        public override bool run()
        {
            resultString = "Testing Extras (Function Tree, Comments)\r\n\r\n";
            string pathPrefix = "Tests\\extra\\";
            singleTest(pathPrefix+"FTree\\");
            singleTest(pathPrefix+"Comment\\");
            return passed;
        }

        private void singleTest(string path)
        {
            ein.Eingabe_Interface("ADT", path + "Bsp.adt");
            ein.Eingabe_Interface("Task", path + "Bsp.task");
            ein.Eingabe_Interface("Proof", path + "Bsp.proof");
            Ueberpruefer.ueberpruefe(ein.GetContainer());
            resultString += assert(currentTestNumber++, aus.NoErrors(), aus.printAllErrors(ein.GetContainer()));
        }
    }
}
